Sign in to follow this  
Followers 0
Cloakedwand72

Looking for Commercial crew spacecraft.

12 posts in this topic

Posted (edited)

Looking for Commercial crew spacecraft like the Dragon V1 & V2 & Dreamchaser & CST-100 for version 1.3.0 in the 2.5m flavor?

Edited by Cloakedwand72

Share this post


Link to post
Share on other sites

This adds some SpaceX stuff, somewhere else you could probably find the CST-100 or the dreamchaser

Share this post


Link to post
Share on other sites

CST-100 just a part mod should work in 1.3.0 there are a small handful of Dragons the dreamchaser is old and might need work.

 

Share this post


Link to post
Share on other sites

Maybe this one

 

Share this post


Link to post
Share on other sites
12 hours ago, StupidAndy said:

This adds some SpaceX stuff, somewhere else you could probably find the CST-100 or the dreamchaser

It does not work in 1.3.0 that's the problem with these mods.

Share this post


Link to post
Share on other sites

Posted (edited)

7 minutes ago, Cloakedwand72 said:

It does not work in 1.3.0 that's the problem with these mods.

Are you sure? If you had actually bothered to read that thread you could have known that it does.

 

Edited by Tex_NL
1 person likes this

Share this post


Link to post
Share on other sites

there is little difference between 1.3 and 1.2.2 I think with mods workification

but I'm no Modder so I cant tell :(

Share this post


Link to post
Share on other sites

Posted (edited)

13 minutes ago, StupidAndy said:

there is little difference between 1.3 and 1.2.2 I think with mods workification

but I'm no Modder so I cant tell :(

You are correct not much difference. There may be several reasons for a mod not being updated yet here are just a couple of reasons: 1.The mod may never be updated. 2.There may be a major update coming out and the mod is currently in the QA stage. 3.Several modders have been in school and may be working on their mod as we speak. Only time will tell what mods will be updated. They may want to hurry it along though as KSP 1.3.1 will be released soon.

Edited by Next_Star_Industries
1 person likes this

Share this post


Link to post
Share on other sites
On 7/24/2017 at 11:46 AM, Cloakedwand72 said:

It does not work in 1.3.0 that's the problem with these mods.

If it doesn't include plugins, its compatible with nearly any future version, but doesn't have localization. If it has a plugin, you can always recompile the plugin if the license permits.

1 person likes this

Share this post


Link to post
Share on other sites

Posted (edited)

5 hours ago, Bottle Rocketeer 500 said:

If it doesn't include plugins, its compatible with nearly any future version, but doesn't have localization. If it has a plugin, you can always recompile the plugin if the license permits.

I agree and most mod licenses do allow this. To recompile a .dll you only need the source code which most mods provide just search a little.

Edited by Next_Star_Industries

Share this post


Link to post
Share on other sites
1 hour ago, Next_Star_Industries said:

To recompile a .dll you only need the source code which most mods provide just search a little.

All mods are REQUIRED to provide the source code

1 person likes this

Share this post


Link to post
Share on other sites
9 hours ago, TheRagingIrishman said:

All mods are REQUIRED to provide the source code

You meant plugins, not mods. How could you provide source code if there was no code in the first place (except for configs)?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0